import React from 'react';
import { CheckboxComponent } from './Checkbox.types';
import { Shape } from './Checkbox.shape';
declare const components: {
    Label: import("styled-components").StyledComponent<React.FC<import("../../../Atoms/Typography/Typography.types").Props>, import("styled-components").DefaultTheme, {}, never>;
    CheckmarkBox: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<{
        sm?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
        md?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
        lg?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
        xl?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    } & import("../../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
        className?: string | undefined;
    } & {
        children?: React.ReactNode;
        as?: any;
    } & React.RefAttributes<HTMLDivElement>>, import("styled-components").DefaultTheme, {
        size: number;
        shape: Shape;
    }, never>;
};
declare const Checkbox: CheckboxComponent & {
    components: typeof components;
    Shape: typeof Shape;
};
export default Checkbox;
